@ECHO OFF

:: EGADS geometry cases

aflr4 -i aircraft.egads -o aircraft_new.meshb -log -ref_len 1 -add_ff -Memory_Monitor

aflr4 -i aircraft.egads -o aircraft_new2.meshb -log -ref_len 1 -add_ff -er_all -Memory_Monitor

aflr4 -i bent_pipe.stp -o bent_pipe_new.meshb -log -bl_ids 1,2 -int_ids 3,4 -Memory_Monitor

aflr4 -i bent_pipe_eff.egads -o bent_pipe_eff_new.meshb -log -bl_ids 1,2 -int_ids 3,4 -Memory_Monitor

aflr4 -i cylinder_wake.egads -o cylinder_wake_new.meshb -log -ff_ids 6-11 -trnsp_bl_ids 5, ref_len=0.2 -log -Memory_Monitor

aflr4 -i cylinder_wake.egads -o cylinder_wake_new2.meshb -log -ff_ids 6-11 -trnsp_bl_ids 5, ref_len=0.2 -er_all -Memory_Monitor

aflr4 -i glider.egads -o glider_new.meshb -log -ff_ids 1-6 -ref_len 3 -Memory_Monitor

aflr4 -i glider.egads -o glider_new2.meshb -log -ff_ids 1-6 -ref_len 3 -er_all -Memory_Monitor

aflr4 -i glider_be.egads -o glider_be_new.meshb -log -ref_len 3 -Memory_Monitor

aflr4 -i mel.egads -o mel_new.meshb -log -Memory_Monitor

aflr4 -i nose.egads -o nose_new.meshb -log -ff_ids 1-6 -Memory_Monitor

aflr4 -i piston.egads -o piston_new.meshb -log -Memory_Monitor

aflr4 -i piston.egads -o piston_new2.meshb -log -er_all -Memory_Monitor

aflr4 -i piston.egads -o piston_new3.meshb -log -esf_list 0.25, -esf_ids 7, -Memory_Monitor

aflr4 -i wingpod.egads -o wingpod_new.meshb -log -ff_ids 19-24 -er_all -ref_len 40 -Re_l 60e6 -Memory_Monitor

:: discrete geometry cases

aflr4 -i bump.surf -o bump_new.meshb -log -Memory_Monitor

aflr4 -i bump.surf -o bump_new2.meshb -log -erw_ids 3, -erw_list 1, -Memory_Monitor

aflr4 -i can.surf -o can_new.meshb -log -Memory_Monitor

aflr4 -i case1.surf -o case1_new.meshb -log -ff_ids 2,6 -Memory_Monitor

aflr4 -i case2.surf -o case2_new.meshb -log -ff_ids 2,6 -Memory_Monitor

aflr4 -i case3.surf -o case3_new.meshb -log -ff_ids 3,6 -Memory_Monitor

aflr4 -i case4.surf -o case4_new.meshb -log -ff_ids 24,27 -Memory_Monitor

aflr4 -i case5.surf -o case5_new.meshb -log -ff_ids 2, -int_ids 1,3,5,6 -Memory_Monitor

aflr4 -i case6.surf -o case6_new.meshb -log -ff_ids 1,2 -Memory_Monitor

aflr4 -i case7.surf -o case7_new.meshb -log -ff_ids 16,17 -Memory_Monitor

aflr4 -i case8.surf -o case8_new.meshb -log -ff_ids 16,17 -Memory_Monitor

aflr4 -i case9.surf -o case9_new.meshb -log -ff_ids 2, -int_ids 1, -BL_thickness 0.1 -min_ncell 1 -Memory_Monitor

aflr4 -i cover_plate.surf -o cover_plate_new.meshb -log -ref_len 300 -Memory_Monitor -mier_ids 98-103 -mier_list -1,-1,-1,-1,-1,-1

aflr4 -i edge_test.surf -o edge_test_new.meshb -log -ref_len 10 -er_all -Memory_Monitor

aflr4 -i horn.surf -o horn_new.meshb -log -Memory_Monitor

aflr4 -i knob.surf -o knob_new.meshb -log -ff_ids 1, -int_ids 2, -std_ids 3, -ref_len 4 -BL_thickness 0.15 -min_ncell 1 -Memory_Monitor

aflr4 -i lv2b_sym.surf -o lv2b_sym_new.meshb -log -ff_ids 1-3 -int_ids 27,28,29,74 -ref_len 40 -Re_l 125e6 -Memory_Monitor

aflr4 -i lv2b_sym.surf -o lv2b_sym_new2.meshb -log -ff_ids 1-3 -int_ids 27,28,29,74 -ref_len 40 -Re_l 125e6 -er_all -Memory_Monitor

aflr4 -i lv2b.surf -o lv2b_new.meshb -log -ff_ids 16-21 -int_ids 45,46,47,68,69,70 -ref_len 40 -Re_l 125e6 -Memory_Monitor

aflr4 -i mcomp.surf -o mcomp_new.meshb -log -ref_len 2 -ff_ids 21, -int_ids 22,23 -BL_thickness 0.025 -cmp_ids 3,4,5,6,8,9,13,14,10,11,12,18,7,15,16,17,19,20,1,2,47 -cmp_list 1,1,1,1,1,1,1,1,2,2,2,2,3,3,3,3,3,3,4,5,6 -Memory_Monitor

aflr4 -i nacelle_engine_sym.surf -o nacelle_engine_sym_new.meshb -log -ff_ids 1,2 -int_ids 57, -ref_len 100 -Re_l 110e6 -ff_cdfr 1.2 -Memory_Monitor

aflr4 -i nacelle_engine.surf -o nacelle_engine_new.meshb -log -ff_ids 53-56 -ref_len 100 -Re_l 110e6 -ff_cdfr 1.2 -Memory_Monitor

aflr4 -i plug2id.surf -o plug2id_new.meshb -log -Memory_Monitor

aflr4 -i plug2id.surf -o plug2id_new2.meshb -log -sf_global 2 -Memory_Monitor

aflr4 -i rocket.surf -o rocket_new.meshb -log -ff_ids 17-22 -int_ids 51,52 -ref_len 1.75 -Memory_Monitor

aflr4 -i rocket.surf -o rocket_new2.meshb -log -ff_ids 17-22 -int_ids 51,52 -ref_len 1.75 -er_all -Memory_Monitor

aflr4 -i vsphere.surf -o vsphere_new.meshb -log -ref_len 1 -add_ff -cmp_ids 1,2,3,4 -cmp_list 2,1,1,2 -Re_l 1e6 -min_ncell 1 -Memory_Monitor

aflr4 -i wing_wake.surf -o wing_wake_new.meshb -log -ff_ids 1-4 -trnsp_bl_ids 5, ref_len=2 -er_all -Memory_Monitor

aflr4 -i wing_wake.surf -o wing_wake_new2.meshb -log auto_set_ff_bc=1 ref_len=2 -er_all -Memory_Monitor

